Next: Introduction to Tix Up: Tix Programming Guide Previous: Selecting Directories with

# Tix Object Oriented Programming

This chapter is intended for experienced programmers who want to create new Tix widgets. If you just want use the Tix widgets in your applications, you can skip this chapter.

- Introduction to Tix Object Oriented Programming
  - Widget Classes and Widget Instances
  - What is in a Widget Instance
  - Variables
  - Methods
  - Component Widgets
- Widget Class Declaration
  - Using the tixWidgetClass Command
- Writing Methods
  - Declaring Public Methods
- Standard Initialization Methods
  - The InitWidgetRec Method
  - Chaining Methods
  - The tixChainMethod call
  - The ConstructWidget Method
  - The SetBindings Method
- Declaring and Using Variables
  - Initialization of Public Variables
  - Type Checker
  - Public Variable Configuration Methods
  - Configuration Methods and Public Variable Initialization
- Summary of Widget Instance Initialization
- Loading the New Classes